Package org.gradle.platform.base

## Interface ProjectDependencySpec

- All Superinterfaces:
    `DependencySpec`

      @Incubating
      public interface ProjectDependencySpec
      extends DependencySpec

  A dependency onto a library published by a project.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getLibraryName()` | Returns the name of the library this dependency refers to.
    `java.lang.String` | `getProjectPath()` | Returns the project path of the project this dependency refers to.

    - ### Methods inherited from interface org.gradle.platform.base.DependencySpec

      `getDisplayName`

- - ### Method Detail

    - #### getProjectPath

          @Nullable
          java.lang.String getProjectPath()

      Returns the project path of the project this dependency refers to.
      Returns:
        the project path

    - #### getLibraryName

          @Nullable
          java.lang.String getLibraryName()

      Returns the name of the library this dependency refers to. If null, it should be assumed that the project defines a single library.
      Returns:
        the library name